XmSelectionBoxGetChild(3Xm)

NAME
XmSelectionBoxGetChild — a SelectionBox function that is used to access a component.

SYNOPSIS
#include <Xm/SelectioB.h>

Widget XmSelectionBoxGetChild (widget, child)

    Widget    widget;
    unsigned char    child;

DESCRIPTION
XmSelectionBoxGetChild is used to access a component within a SelectionBox. The parameters given to the function are the SelectionBox widget and a value indicating which child to access.

widget
    Specifies the SelectionBox widget ID.

child
    Specifies a component within the SelectionBox. The following are legal values for this parameter:

•   XmDIALOG_APPLY_BUTTON.

•   XmDIALOG_CANCEL_BUTTON.

•   XmDIALOG_DEFAULT_BUTTON.

•   XmDIALOG_HELP_BUTTON.

•   XmDIALOG_LIST.

•   XmDIALOG_LIST_LABEL.

•   XmDIALOG_OK_BUTTON.

•   XmDIALOG_SELECTION_LABEL.

•   XmDIALOG_SEPARATOR.

•   XmDIALOG_TEXT.

•   XmDIALOG_WORK_AREA.

For a complete definition of SelectionBox and its associated resources, see XmSelectionBox(3Xm).

RETURN VALUE
Returns the widget ID of the specified SelectionBox child.

RELATED INFORMATION
XmSelectionBox(3Xm).